persistently editable Grammatical Feature of a Form via the UI (M)
Open, HighPublic

Description

Right now the grammatical features of a form are editable. However the edit is not persistently stored. The edit a user makes via the UI should be persistently stored and survive a page reload.

Acceptence Criteria:

  • User can add a grammatical feature in the UI and save it, reload the page and see the edited grammatical feature
  • We will create a new API-Module for this (sub-task)

Related Objects

Change 376537 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add addForm method to Lexeme

https://gerrit.wikimedia.org/r/376537

Change 376539 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Consider forms when compare Lexemes for equality

https://gerrit.wikimedia.org/r/376539

Change 376540 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOp for Form addition

https://gerrit.wikimedia.org/r/376540

Change 376044 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add form API module

https://gerrit.wikimedia.org/r/376044

Change 376558 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Introduce FormSet to simplify Lexeme state control

https://gerrit.wikimedia.org/r/376558

Change 376703 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Add assertions to ensure $nextFormId correctness in Lexeme

https://gerrit.wikimedia.org/r/376703

Change 376704 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add form API module

https://gerrit.wikimedia.org/r/376704

Change 376705 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Use FormSet inside of the Lexeme class

https://gerrit.wikimedia.org/r/376705

Change 376537 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add addForm method to Lexeme

https://gerrit.wikimedia.org/r/376537

Change 376539 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Consider forms when compare Lexemes for equality

https://gerrit.wikimedia.org/r/376539

Change 376540 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOp for Form addition

https://gerrit.wikimedia.org/r/376540

Change 376044 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Serialize/deserialize nextFormId field of Lexeme

https://gerrit.wikimedia.org/r/376044

Change 376558 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Introduce FormSet to simplify Lexeme state control

https://gerrit.wikimedia.org/r/376558

Change 376703 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add assertions to ensure $nextFormId correctness in Lexeme

https://gerrit.wikimedia.org/r/376703

Change 376705 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use FormSet inside of the Lexeme class

https://gerrit.wikimedia.org/r/376705

thiemowmde updated the task description. (Show Details)Oct 12 2017, 8:03 AM
WMDE-leszek removed Aleksey_WMDE as the assignee of this task.Oct 16 2017, 8:20 AM
WMDE-leszek moved this task from Proposed to Backlog on the Wikidata-Former-Sprint-Board board.
WMDE-leszek added a subscriber: Aleksey_WMDE.
Franziska_Heine renamed this task from [Story] Editable Grammatical Feature of a Form (presistent) to [Story] Editable Grammatical Feature of a Form (presistent) (S if we do T173742 first).Oct 24 2017, 1:20 PM
Franziska_Heine updated the task description. (Show Details)
Lydia_Pintscher renamed this task from [Story] Editable Grammatical Feature of a Form (presistent) (S if we do T173742 first) to persistently editable Grammatical Feature of a Form (S if we do T173742 first).Oct 24 2017, 3:17 PM
Lydia_Pintscher renamed this task from persistently editable Grammatical Feature of a Form (S if we do T173742 first) to persistently editable Grammatical Feature of a Form via the UI (S if we do T173742 first).Oct 24 2017, 3:35 PM
WMDE-leszek updated the task description. (Show Details)Oct 25 2017, 9:43 AM

I believe the title should have T173744 instead of a link to this ticket itself.

Lucas_Werkmeister_WMDE renamed this task from persistently editable Grammatical Feature of a Form via the UI (S if we do T173742 first) to persistently editable Grammatical Feature of a Form via the UI (M).

@Jonas brought an interesting issue which is of relevance here. The background is the decision documented in https://phabricator.wikimedia.org/T173744#3691083, which also applies for editing grammatical features. I'll let @Jonas elaborate more on the issue itself, as he's the person to explain this. Thanks!